Gets the list of portfolios the user is able to use for purchasing credits. This list is not paginated - the full list of portfolios is returned. The portfolio objects in the list do not include details about the project categories comprising the portfolio - those can be retrieved for each portfolio using the Get Portfolio By Id API endpoint.
/portfoliosAuthorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
List of Portfolios
Show response attributes
data
Portfolio[]
Show child attributes
id
string
Identifier that can be used to retrieve the portfolio
name
string
Name of the portfolio
summary
string
Short description of the portfolio
description
string
Extended description of the portfolio
primary_image_url
string | null
URL for the primary image of the portfolio
Get List of Portfolios
curl --request GET \
--url https://api.cnaught.com/v1/portfolios \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "oH5hlq",
"name": "CNaught Impact",
"summary": "Science-backed, diversified portfolio to maximize impact, mitigate risk, and foster innovation based on Oxford's principles for carbon offsetting.",
"description": "The Impact Portfolio is a diversified portfolio of high-quality carbon credits designed to maximize impact, mitigate risk, and foster innovation. A portfolio approach to credits is recommended by the World Economic Forum, and the CNaught portfolio embodies the science-based best practices laid out in Oxford’s Principles for Carbon Offsetting. The Impact Portfolio includes the full range of carbon credit types CNaught offers so that you can maximize your ability to support a low-carbon future.",
"primary_image_url": "https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/65249b23e4abea354f4e8672_6412308f4b9aaa3dc170ae16_Manoa.jpeg"
},
{
"id": "fRqLie",
"name": "CNaught Impact Lite",
"summary": "The Impact Lite Portfolio is narrower in scope than the Impact portfolio but still contains a diversified portfolio of high-quality carbon credits to drive impact and mitigate risk.",
"description": "The Impact Lite Portfolio is narrower in scope than the Impact portfolio but still contains a diversified portfolio of high-quality carbon credits to drive impact and mitigate risk. A portfolio approach to credits is recommended by the World Economic Forum, and CNaught's approach embodies the science-based best practices laid out in Oxford’s Principles for Carbon Offsetting. The Impact Lite Portfolio does not support innovation in long-lived carbon removal technologies, which will be a critical part of reaching global climate goals.",
"primary_image_url": "https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/659c94c127c442a6b4f17aa5_katingan-mentaya-river.jpg"
}
]
}